.examples__container {
    padding: 60px;
}

.examples__title {
   margin-bottom: 36px;
}

.examples__gallery {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 16px;
    grid-auto-flow: dense;
    height: 100%;
}

.examples__gallery-item {
    position: relative;
    /* display: flex;
    flex-direction: column;
    justify-content: flex-end; */
    height: 405px;
    grid-column: auto / span 2;
    border-radius: 8px;
    padding: 36px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
}

.examples__sub-container {
    /* display: flex;
    flex-direction: column; */
    gap: 16px;
    max-height: 0;
    overflow: hidden;
    /* padding-top: 16px; */
    transition: max-height 1s ease-in-out;
}

.examples__gallery .examples__gallery-item:nth-child(1),
.examples__gallery .examples__gallery-item:nth-child(2) {
    grid-column: auto / span 3;
}

.examples__gallery .examples__gallery-item:nth-child(7) {
    grid-row: 4 / 2;
    height: auto;
    grid-column: 5 / span 2;
    max-height: 826px;
}

.examples__gallery-text {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    margin-bottom: 16px;
}

.examples__gallery-item:hover .examples__sub-container {
    max-height: 80px;
}

.examples__btn {
    /* display: none; */
    /* margin-bottom: -20px; */
    width: fit-content;
}

.examples__gallery-item--wrappper {
    position: absolute;
    bottom: 20px;
}

/* .examples__gallery-item:hover .examples__btn {
    display: flex;
} */

.examples-section__container {
    padding: 60px;
}

.examples-section__wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 36px;
    border-bottom: 1px solid var(--color-optional, #515151);
    padding-bottom: 60px;
    margin-bottom: 60px;
}

.examples__back-wrapper {
    display: flex;
    gap: 8px;
    align-items: center;
}

.examples__back-text {
    font-size: 16px;
    line-height: 120%;
}

.examples-section__menu-wrapper {
    display: flex;
    padding: 28px 0px;
    align-items: flex-start;
    align-content: flex-start;
    gap: 16px 36px;
    flex-wrap: wrap;
    border-top: 1px solid var(--color-optional, #515151);
    border-bottom: 1px solid var(--color-optional, #515151);
}

.examples-section__menu-link {
    color: var(--Inactive-Grey, #A8A8A8);
    font-size: 16px;
    line-height: 120%;
}

.examples-section__menu-link--active {
    color: #FFF;
}

.examples-section__list {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    justify-content: center;
}

.examples-section__list-item {
    width: calc(100% / 4 - 12px);
    border-radius: 8px;
    border: 1px solid var(--color-optional, #515151);
    display: flex;
    padding: 20px 36px;
    flex-direction: column;
    gap: 20px;
    align-self: stretch;
    opacity: 0.8;
    height: 480px;
}

.examples-section__img {
    height: 160px;
    overflow: hidden;
    object-fit: cover;
}

.examples-section__descr {
    position: relative; 
    max-height: 140px;
    height: auto;
    overflow: hidden;
}

.examples-section__btn {
    width: 100%;
    margin-top: auto;
}

.examples-section__detail {
    display: flex;
    gap: 36px;
}

.examples-section__detail-col {
    width: calc(50% - 18px);
    display: flex;
    align-items: center;
    gap: 16px;
}

.examples-section__detail-col--left {
    flex-direction: column;
}

.examples-section__detail-col--gallery {
    flex-wrap: wrap;
    justify-content: center;
    align-items: stretch;
}

.examples-section__buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
}

.examples-section__button {
    display: flex;
    align-items: center;
    gap: 16px;
    padding: 0;
    cursor: pointer;
}

.examples-section__button-text {
    font-size: 16px;
    line-height: 120%; /* 19.2px */
}

.examples-section__button:hover:not(.examples-section__button[data-prev="-1"]) {
    opacity: 0.8;
}

.examples-section__button[data-prev="-1"] {
    cursor: default;
}

.examples-section__button[data-prev="-1"] svg path {
    stroke: #A8A8A8;
}

.examples-section__button[data-prev="-1"] .examples-section__button-text {
    color: #A8A8A8;
}

.examples-section__detail-img-wrapper {
    width: calc(50% - 8px);
    cursor: pointer;
}

.examples-section__detail-img-wrapper:hover {
    opacity: 0.8;
}

.examples-section__detail-img {
    height: 100%;
    object-fit: cover;
}

.examples-section__detail-col--gallery--mob {
    display: none;
}

.examples-section__main-descr {
    width: 100%;
    word-break: break-word;
}

@media screen and (max-width: 1500px) {
    .examples__gallery {
        gap: 8px;
    }

    .examples-section__list-item {
         width: calc(100% / 3 - 10.7px);
    }

     .examples-section__detail-col--left {
        width: calc(60% - 18px);
    }

    .examples-section__detail-col--gallery {
        width: calc(40% - 18px);
    }
}

@media screen and (max-width: 1300px) {
    .examples__gallery-item {
        height: 239px;
    }

    .examples__gallery .examples__gallery-item:nth-child(1), .examples__gallery .examples__gallery-item:nth-child(2) {
        height: 344px;
    }

    .examples-section__detail-col--left {
        width: calc(65% - 18px);
    }

    .examples-section__detail-col--gallery {
        width: calc(35% - 18px);
    }
}

@media screen and (max-width: 1200px) {
    .examples__container {
        padding: 36px;
    }

    .examples__title {
        margin-bottom: 16px;
        text-align: center;
    }

    .examples__gallery-item {
        height: 222px !important;
        padding: 28px;
        grid-column: auto / span 3;
    }

    .examples__gallery .examples__gallery-item:nth-child(1), 
    .examples__gallery .examples__gallery-item:nth-child(4),
    .examples__gallery .examples__gallery-item:nth-child(7)  {
        height: 222px;
        grid-column: auto / span 6;
        grid-row: auto;
    }

    .examples__sub-container {
        max-height: none !important;
    }

     .examples-section__container {
        padding: 36px;
    }

    .examples-section__menu-link {
        font-size: 14px;
        line-height: 120%;
    }

    .example-section__main-title {
        margin-bottom: -20px;
        text-align: center;
    }

    .examples-section__list-item {
        gap: 8px;
        padding: 8px;
        height: 374px;
    }

    .examples-section__descr {
        max-height: 108px;
    }
}

@media(max-width: 800px) {
     .examples-section__list-item {
         width: calc(100% / 2 - 8px);
    }

    .examples-section__detail-col--gallery--mob {
        display: flex;
    }

    .examples-section__detail-col--gallery--desk {
        display: none;
    }

    .examples-section__detail-col--left {
        width: 100%;
    }

    .examples-section__detail-col--gallery {
        width: 100%;
        gap: 8px;
    }

    .examples-section__detail-img-wrapper {
        width: calc(25% - 6px);
    }


}

@media screen and (max-width: 650px) {
    .examples__container {
        padding: 16px 8px;
    }

    .examples__gallery-item {
        grid-column: auto / span 6 !important;
    }

    .examples-section__container {
       padding: 16px 8px;
    }

    .examples__back-wrapper {
        margin-bottom: -20px;
    }

     .examples-section__list-item {
         width: 100%;
    }

    .examples-section__wrapper {
        padding-bottom: 36px;
        margin-bottom: 36px;
    }

    .examples-section__detail-col--gallery {
        gap: 4px;
    }

    .examples-section__detail-img-wrapper {
        width: calc(100% / 3 - 3px);
    }

    .examples-section__buttons {
        gap: 8px;
        flex-direction: column;
    }
}